package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class GetAllCustomerDetailsResponse implements Serializable {
    //"is_exist": 0,
    @SerializedName("response")
    @Expose
    private String response;
    @SerializedName("is_exist")
    @Expose
    private Integer is_exist;
    @SerializedName("model_data")
    @Expose
    private ModelData model_data;
    @SerializedName("data")
    @Expose
    private GetAllCustomerDetails data;
    @SerializedName("message")
    @Expose
    private String message;
    @SerializedName("response_text")
    @Expose
    private String responseText;
    @SerializedName("status")
    @Expose
    private Integer status;
    private final static long serialVersionUID = 3580356628385213130L;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public GetAllCustomerDetails getData() {
        return data;
    }

    public void setData(GetAllCustomerDetails data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponseText() {
        return responseText;
    }

    public void setResponseText(String responseText) {
        this.responseText = responseText;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIs_exist() {
        return is_exist;
    }

    public void setIs_exist(Integer is_exist) {
        this.is_exist = is_exist;
    }

    public ModelData getModel_data() {
        return model_data;
    }

    public void setModel_data(ModelData model_data) {
        this.model_data = model_data;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}